Description
This would require a few new things.

1. The ability to open the window (from the POCO Entity)

2. The ability to move items from your ships Cargo into the POCO

3. The ability to select the relevant Launchpad from the dropdown.

4. The ability to move items from the POCO to the launch pads (in the POCO Window)

5. The ability to click the transfer button (can probably be done with existing Button interfaces)

6. The ability to move items from the POCO to your ship's cargo.

This would be a Strech, but would be amazing if we could - Open the Pl window, View Planet, select Extractor Heads Select "Start"
(don't try and make it so we can interact with the planet/setup, just want to be able to restart extractor heads)

Given that Pl is a passive form of income, If we added this, any character tht bots could increase thier income with this. If we can
add the above, i will write and release publically a Pl Bot. for factory planets (the main idea) and extraction of P1 (If we can do the
stretch above)

History

#1 - 2023-06-14 07:39 AM - Noobbotter

To do this, you will need to setup a bit of PI. using the following steps
0. You will need to train the skill "Command Centre Upgrades" to level 2

1. Click the name of the system in the top Left of the screen. Go to "Orbital Bodies Tab" Select the planet you want to do this for (it can literally be
Any planet) note the type (Barren, Lava, Etc)

2. Purchase a Command centre corresponding to the type (hopefully there is one in system, may need to go a few jumps same with Step 3 below).
3. Purchase an Epithal (which has a dedicated hold for both Command Centres and Pl goods).

4. Purchase some (5+) Water/Oxygen if needed for steps below to better test the launchpad functionality when we get there. (Any other Pl material
would work as well, Anything under Manufacture and Research > Materials > Planetary Materials in the market)

5. Put the command centre into the Epithal's Command Centre Hold. Asdd the water/Other materials into the Planetary COmmaodities Hold.

6. Undock.
7. Right click in space, goto Planets, Then the planet you selected. then select "View Planetary Interaction”
8. Click on "Build Command Centre" Then click on the planet anywhere.

9. Click on "Submit"

10. Clic opdhe Cgmmand Centre you just build, Click the Upgrade button (the one on the far left with the littel green +) Select the 3rd bar along. =
and select Upgrade.

11. Click on "Submit" again

12. Click on <planet type> Launchpad and place 2 on the planet, then select Submit. Should look like this before you click submit:

13. Press escape to get out of the Pl Window.

14. Right click in space, goto planets, the planet you just dropped this on, then down the bottom you will see "Custom office" Then warp to it.
This is where the first Feature request above is - Be able to open the window.

15. Select the Player Owned Custom Office (it may be NPC owned (Interbus), but it works the same way) and select "Open"

16. This window will Popup, and is the main window for the base feature request. I'll do the stretch feature as a different set of instructions because
it's a little more involved.

<
TAX RATE

Orbital Customs Office

Barren Launchpad

Transfer co Transfer

Feature 2 - The ability to move items from your ships Cargo into the POCO (From your Ships Cargohold (also would be cool to be able to access the
PLanetary Commodities Hold if you can get the name for that) or the Hold) to Number 1 above, current interface uses drag/drop.

Feature 3 - From the drop down (Number 3 above) select the launchpad.

Feature 4 - ability to move items from Number 1 to Number 2 (drag/drop currently) they don't actually move until you press Transfer, if you want to
test this functionality take some PI with you (Water or Oxygen, should be available on the markets nearby, Alternatively i'm happy to provide this to
you from a throwaway account.) (also Move from Number 2 to Number 1 before you press Transfer)

Feature 5 - Click Transfer. As mentioned might be able to do it with current button functionality, i'll need to test.

Feature 6 - Move Items from Number 1 back to your ships cargohold.

We'll need to be able to know how much of each item is in each location etc.

If we can get this Feature done, it will allow us to get Factory planets Automated. The next post i do will give you a rundown on how to do the
"Stretch" Features above.

#2 - 2023-06-14 09:52 PM - Noobbotter
Ok, Stretch Feature.
Using the previous planet we created above, we need to add a few more thing.
1. (Feature) Open the Planetary Industry window.

2. (Feature) Be able to open from a Planet (you can have up to 6, i'd be ok with this being an accessible array of somekind, so you could go
"Planet1.0pen" or something, though i'm sure you can find a better way to do it)

3. Open the planet window we did previously. you should see the 2 launchpads you made last time.

3. Select one of the Launchpads, Select the "Decommission” option (far Right with the Red X)

4. Select Submit.

5. Select "<Planet type> Extractor Control Unit". And drop two onto the planet. Click Submit.

6. (Feature) Be able to get an array of ECU's on the planet, and then be able to open thier Extraction Program Window

(ECUODbject.OpenExtractionProgramWindow() for example would be good) Select the ECU, and this window should popup. Select "Install Extraction
Program" (circled in Blue)

Extracting

Time remaining

Inactive (Edit Made) Guane ST iz

None

7. Once the window is open, you will need to do 2 things, 1. Click on the Blue Circle to activate an Extractor Head. 2. Select a resource. (red Circle)
Once done the "Start Extraction” button should become available. (Green Circle) [EESEEERES 2d Resourca

Pragram Ouratian

8. (Feature) Where it says "Idle" be able to read this value, it can be "Idle", it can be "Program Running" or "Edits Pending". It Would be good to get
the selected resource maybe, and possibly set the Program Duration (Pink Circle Above) if people wanted to be dynamic as well as seeing the "Units
extracted" Average and Total. (will appear below the Pink circle once you have installed an Extractor and Selected a resource. Then be able to
change/set these. Though honestly i would be happy with just "Idle/Running/pending" and then number 9 below.

9. (Feature) be able to click "Start Extraction" or "Stop Extraction" May be able to do this with current Button/Window functionality, but currently can't
get to this window to test.

10. (Feature) Select Submit to actually start it. (again, might be able to be done with window Ul buttons, but can't get to this window currently to test,
Also not sure what the "PI Interface" counts as from a window perspective?

Overall the Core feature requirements here are as follows:
1. Be able to open the planetary Interface window for one of your 6 Planets from the PLanetary Industry Window.

2. Be able to select (and iterate) through your existing Extractor Control Units. (i'm not asking for ISXEVE to be able to add new ones, that's far too
complex even though i'm sure you could figure out a way :P)

For the ECU's i would like to be able to access the following members if possible. 1D, Name, Time Remaining, What it's Extracting and each
Extractor has a code "BB-3H9" for example, i assume that's in Name/ID but if not, then that as well.

3. Open the Window for the ECU. Might need to get this far to get some of the info for the above?
4. Open the "Install Extractor Program" window.

5. Read the current status of the ECU (ldle, Program RUnning, Edits Pending)

6. Start/Stop the ECU

7. Click Submit on the parent Planetary interface Window.
#3 - 2023-06-18 02:06 PM - Amadeus
- Category set to miscellaneous
- Status changed from New to In Progress

- Assignee set to Amadeus
